-- Define data members
sound = nil
volume = 0.5
bindKey( "B", "down", "phone" ) 

-- Radio list
local radio = {
	{ "http://www.listenlive.eu/mixmegapol.m3u", "Mix megapol" },
	{ "http://stream-ice.mtgradio.com:8080/stat_bandit.m3u", "Bandit rock" },
	{ "http://www.listenlive.eu/nrj_se.m3u", "NRJ Sweden" },
	{ "http://sverigesradio.se/topsy/direkt/2576-hi-aac.pls", "Malmö (Hiphop/RnB)" },
	{ "http://scb2.fantis.se:8080/listen.pls", "Pirate rock" },
	{ "http://stream-ice.mtgradio.com:8080/stat_rix_fm.m3u", "Rix FM" },
	{ "http://www.listenlive.eu/rockklassiker.m3u", "Classical Rock" },
	{ "http://www.listenlive.eu/thevoice_se.m3u", "The voice" },
	{ "http://50.22.212.196:8132", "Underground radio" },
	{ "http://relay.181.fm:8068", "Old School Rap" },
	{ "http://tunein.t4e.dj/hard/dsl/mp3", "Techno4ever Hard stream" },
	{ "http://tunein.t4e.dj/club/dsl/mp3", "Techno4ever Clup stream" },
	{ "http://sj128.hnux.com/listen.pls", "Smooth Jazz" },
}

-- Create window
local x,y = guiGetScreenSize() 
local phoneGui = guiCreateWindow ( x - 244, y - 500, 244, 500, "", false )
local img = guiCreateStaticImage( 0, 22, 244, 478, "lumia920.png", false, phoneGui )

-- Tab panel for apps
local tabPanel = guiCreateTabPanel ( 10, 50, 214, 378, false, img ) 
local tabRadio = guiCreateTab( "Radio", tabPanel ) 
local tabPlayers = guiCreateTab( "People", tabPanel )

local playerList = guiCreateGridList ( 0, 0, 1, 0.9, true, tabPlayers )
local column = guiGridListAddColumn( playerList, "People", 0.85 )
if ( column ) then --If the column has been created, fill it with players
	for id, player in ipairs(getElementsByType("player")) do
		local row = guiGridListAddRow ( playerList )
		guiGridListSetItemText ( playerList, row, column, getPlayerName ( player ), false, false )
	end
end
local radioList = guiCreateGridList ( 0, 0, 1, 0.9, true, tabRadio )
local editBox = guiCreateEdit ( 0.51, 0.91, 0.48, 0.08, "0.5", true, tabRadio )
local column1 = guiGridListAddColumn( radioList, "Radio stations", 0.85 )
local button1 = guiCreateButton( 0.01, 0.91, 0.48, 0.08, "Stop", true, tabRadio )
if ( column ) then --If the column has been created, fill it with players
	for id, station in ipairs(radio) do
		local row = guiGridListAddRow ( radioList )
		guiGridListSetItemText ( radioList, row, column1, radio[id][2], false, false )
	end
end

-- Select radio station
addEventHandler("onClientGUIDoubleClick",radioList,
function()
	local row,col = guiGridListGetSelectedItem( radioList ) 
	destroyElement ( sound )
   	sound = playSound( radio[row+1][1] ) 
	setSoundVolume( sound, tonumber( guiGetText ( editBox )))
	
	-- Turn off the car radio
	setRadioChannel ( 0 )
end)
-- Select player
smsPlayer = nil
addEventHandler("onClientGUIDoubleClick",playerList,
function()
	--local row,col = guiGridListGetSelectedItem( playerList ) 
	--smsPlayer = getPlayerFromName(guiGetText( playerList[row][col] ))
	--outputChatBox( "sms: "..getPlayerName( smsPlayer ))
end)

-- Window properties
guiWindowSetMovable ( phoneGui, false )
guiWindowSetSizable ( phoneGui, false )

-- Set the alpha
guiSetAlpha ( phoneGui, 1 )
guiSetVisible( phoneGui, false )

-- Show/hide the phone
function togglePhone( source )
	-- Show the phone
	if not guiGetVisible( phoneGui ) then
		showCursor ( true )
		guiSetVisible( phoneGui, true )
		
		-- Update player list
		guiGridListClear ( playerList )
		if ( column ) then
			for id, player in ipairs(getElementsByType("player")) do
				local row = guiGridListAddRow ( playerList )
				guiGridListSetItemText ( playerList, row, column, getPlayerName ( player ), false, false )
			end
		end
	else
		showCursor ( false )
		guiSetVisible( phoneGui, false )
	end
end 
addCommandHandler( "phone", togglePhone, source )

-- Stop the radio
function stopRadio ()
	if isElement( sound ) and source == button1 then
		setSoundVolume( sound, 0 )
   		destroyElement( sound )
   	--else
   		--showCursor ( false )
		--guiSetVisible( phoneGui, false )
   	end
end
addEventHandler( "onClientGUIClick", button1, stopRadio )

